﻿@model CambiarPasswordViewModel

@using Microsoft.AspNetCore.Identity;
@inject UserManager<IdentityUser> UserManager;

@{
    ViewData["Title"] = "Cambiar contraseña";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card">
    <div class="card-body">
        <h3 class="card-title text-center">Cambiar contraseña</h3>
        <form asp-controller="Usuarios" asp-action="CambiarPassword" method="POST">
            <input type="hidden" name="email" value="@UserManager.GetUserName(User)" />

            <div class="text-danger" asp-validation-summary="All"></div>

            <div class="row mt-4">
                <div class="col-md-6 offset-3">

                    <div class="mb-3">
                        <label asp-for="Password" class="col-md-2"></label>
                        <input asp-for="Password" class="form-control" placeholder="Ingresa tu contraseña" />
                        <span asp-validation-for="Password" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="ConfirmPassword" class="col-md-2"></label>
                        <input asp-for="ConfirmPassword" class="form-control" placeholder="Ingresa la confirmación de la contraseña" />
                        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-sm-10 offset-2">
                    <button type="submit" class="btn btn-danger w-75 btn-lg">Cambiar password <i class="bi bi-arrow-right-circle-fill"></i></button>
                </div>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}
